# Uses of Interface
org.opensaml.saml.ext.saml2mdui.Description

Packages that use Description
Package
Description
org.opensaml.saml.ext.saml2mdui
Interfaces for SAML 2 Metadata Extensions for Login UI and Discovery.
org.opensaml.saml.ext.saml2mdui.impl
Implementation for SAML V2 Metadata Extensions for UI and Discovery.

## Uses of Description in org.opensaml.saml.ext.saml2mdui

Methods in org.opensaml.saml.ext.saml2mdui that return types with arguments of type Description
Modifier and Type
Method
Description
`List<Description>`
UIInfo.`getDescriptions()`
Return the descriptions.

## Uses of Description in org.opensaml.saml.ext.saml2mdui.impl

Classes in org.opensaml.saml.ext.saml2mdui.impl that implement Description
Modifier and Type
Class
Description
`class`
`DescriptionImpl`
Concrete implementation of `Description`.
Methods in org.opensaml.saml.ext.saml2mdui.impl that return Description
Modifier and Type
Method
Description
`Description`
DescriptionBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Description`
DescriptionBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.ext.saml2mdui.impl that return types with arguments of type Description
Modifier and Type
Method
Description
`List<Description>`
UIInfoImpl.`getDescriptions()`
Return the descriptions.